メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
network-acls
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.NetworkAcls.List(
        context.TODO(),
        &management.ListNetworkAclsRequestParameters{
            Page: management.Int(
                1,
            ),
            PerPage: management.Int(
                1,
            ),
            IncludeTotals: management.Bool(
                true,
            ),
        },
    )
}
{
  "network_acls": [
    {
      "id": "<string>",
      "description": "<string>",
      "active": true,
      "priority": 50.5,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "start": 123,
  "limit": 123,
  "total": 123
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

page
integer

Use this field to request a specific page of the list results.

必須範囲: x >= 0
per_page
integer

The amount of results per page.

必須範囲: 0 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

レスポンス

Network access control list successfully retrieved.

network_acls
object[]
start
number
limit
number
total
number